cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Upayavira ...@upaya.co.uk>
Subject Re: Cocoon-2.2 and cannot resolve symbol errors
Date Wed, 22 Oct 2003 06:02:47 GMT
Joe,

The Cocoon 2.2 repository is new, and is currently undergoing some 
significant refactoring. Work is still to be done to make it actually 
build.

If you are curious about how 2.2 is changing, or want to contribute to 
the process, then check out the 2.2 module. If you want something that 
actually works, and you can use, then stick with 2.1 which is the 
stable, maintained release.

Regards, Upayavira

Joe Latty wrote:

> I have obtained cocoon-2.2 from the cvs repository. When I attempt to 
> do a build I receive 63 errors. The first is:
>  
>     [javac] 
> C:\cocoon-2.2\src\java\org\apache\cocoon\components\language\generator\GeneratorSelector.java:79:

> cannot resolve symbol
>     [javac] symbol  : class ExcaliburComponentSelector
>     [javac] location: class 
> org.apache.cocoon.components.language.generator.GeneratorSelector
>     [javac] public class GeneratorSelector extends 
> ExcaliburComponentSelector implements Disposable {
>  
> If I open GeneratorSelector and add
>  
> import org.apache.avalon.excalibur.component.ExcaliburComponentSelector;
>  
> the other 62 errors are much the same "cannot resolve symbol" errors 
> due to the lack of import statements.
>  
> Is this by design, a trick for newbies perhaps?
>  
> Joe
>  
>  
>  
>  
>  




Mime
View raw message